%global url     https://github.com/tdunning/%{name}

Name:           t-digest
Version:        3.0
Release:        %mkrel 6
Group:          Development/Java
Summary:        A new data structure for on-line accumulation of statistics
License:        ASL 2.0
URL:            %{url}
Source0:        %{url}/archive/%{name}-%{version}.tar.gz
#grep -ir -e "<p/>"
#sed "s;<p/>;<br>;g"  -i src/main/java/com/tdunning/math/stats/TDigest.java
#sed "s;<p/>;<br>;g"  -i src/main/java/com/tdunning/math/stats/TreeDigest.java
#sed "s;<p/>;<br>;g"  -i src/main/java/com/tdunning/math/stats/ArrayDigest.java
Patch0:         jdk8-javadoc.patch

BuildArch:      noarch

BuildRequires:  maven-local

Requires:       java

%description
A new data structure for accurate on-line accumulation of rank-based statistics
eg. quantiles and trimmed means. The t-digest algorithm is also very parallel
friendly making it useful in map-reduce and parallel streaming applications.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0
# Useless tasks
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin

%build
#skipping tests, they requires currently unpacked depndences
%mvn_build  --force

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE NOTICES

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICES



%changelog
* Sat May 20 2017 neoclust <neoclust> 3.0-6.mga6
+ Revision: 1103519
- Fix Build
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 3.0-4.mga6
+ Revision: 978199
- First rebuild of the java stack
- sync package t-digest with fedora

